instantaneous radius for transition curves every 1 meter

Discussion of other Lisp dialects (Arc, Clojure, AutoLisp, XLISP, etc.)

instantaneous radius for transition curves every 1 meter

Postby achilles194 » Mon Sep 03, 2018 12:15 pm

Dear All

I am using AutoCAD civil 3D . I need a lisp which create a report (txt or excel) for instantaneous radius of horizontal alignment for every 1 meter station. (for the straight element it can write "infinity" to the report)

For example i have below lisp. It is working, but it should be modify Because we have to enter station manually to this lisp. I need every 1 meter station (chainage) instantaneous radius of curves/clotoid which is shown in the report when i click to my alignment.

Thanks for your help.


(defun c:go (/ sta instrad algn)
(vl-load-com)


(setq algn (vlax-ename->vla-object (car (entsel "nSelect Alignment: "))))



(while (not (= (vlax-get-property algn 'ObjectName) "AeccDbAlignment"))
(setq algn (vlax-ename->vla-object (car (entsel "nSelect Alignment: "))))
)
(while (setq sta (getreal "nEnter station: "))
(setq instrad (vlax-get-property algn 'InstantaneousRadius sta))
(prompt (strcat "nRadius at station " (rtos sta 2 2) " is " (rtos instrad 2 2)))
)
(princ)
)
achilles194
 
Posts: 1
Joined: Mon Sep 03, 2018 11:49 am

Re: instantaneous radius for transition curves every 1 meter

Postby pjstirling » Thu Sep 06, 2018 4:31 am

AutoCAD questions bbelong in "other dialects". Common-Lisp is not a catch-all
pjstirling
 
Posts: 159
Joined: Sun Nov 28, 2010 4:21 pm


Return to Other Dialects

Who is online

Users browsing this forum: No registered users and 2 guests